Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: Erro de Java OpenJDK

Erro de Java OpenJDK 12 Jan. 2015 18:05 #8782

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5312
  • Obrigado recebido 735
fidalgo escreveu:
Penso que a solução passa por usar o mozilla como browser e adicionar o xulrunner com o mozplugger. Procure por posts meus que menciono como fazer.

O que está aqui em discussão é colocar o sistema a funcionar! Consegue fazê-lo sem remover o libwebkitgtk-1.0.0? Se sim, agradeço um resumo da sua configuração, ponto por ponto, para não restarem dúvidas!

A nossa configuração, que sugerimos (pois funciona e está testada em Ubuntu 14) é a seguinte:

1) Java da Oracle 7 ou 8
2) XULRunner descompactado versão 1.9.2 (o link que tem no site)
3) Configurar o RCPcolibri.ini para apontar para o mozplugger
4) Remover pelo synaptics os pacotes com libwebkitgtk-1.0.0 e dependências.

Ainda assim, os REPORTS não são abertos no leitor, e é sempre pedido o caminho para gravação.
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

Erro de Java OpenJDK 12 Jan. 2015 09:22 #8779

  • fidalgo
  • Avatar de fidalgo
  • Offline
  • Mensagens: 26
  • Obrigado recebido 12
Penso que a solução passa por usar o mozilla como browser e adicionar o xulrunner com o mozplugger. Procure por posts meus que menciono como fazer.
O adminstrador desactivou a escrita pública.

Erro de Java OpenJDK 11 Jan. 2015 21:02 #8763

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5312
  • Obrigado recebido 735
nleal escreveu:
Remover o pacote libwebkitgtk-1.0.0 implica remover o GIMP, o que levanta aqui uma incompatibilidade de fundo complicada de ultrapassar. Confirmo, contudo, que efectivamente resolve a questão. O colibri abre e consegue criar uma BD H2 com sucesso.

Sei que este problema está relacionado com um bug do Eclipse que eventualmente estará ultrapassado na versão 4.3 (aleksz-programming.blogspot.pt/2013/03/e...it-on-ubuntu-64.html), por isso será uma questão de tempo até estar mitigado.

Efectivamente... No entanto não temos planos a curto prazo para migrar para a plataforma 4.x do Eclipse (por razões que não vale a pena discutir neste tópico), e seria ideal uma solução alternativa por forma a não obrigar à remoção do libwebkitgtk-1.0.0.
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

Erro de Java OpenJDK 11 Jan. 2015 20:56 #8762

  • nleal
  • Avatar de nleal
  • Offline
  • Mensagens: 49
  • Obrigado recebido 12
Remover o pacote libwebkitgtk-1.0.0 implica remover o GIMP, o que levanta aqui uma incompatibilidade de fundo complicada de ultrapassar. Confirmo, contudo, que efectivamente resolve a questão. O colibri abre e consegue criar uma BD H2 com sucesso.

Sei que este problema está relacionado com um bug do Eclipse que eventualmente estará ultrapassado na versão 4.3 (aleksz-programming.blogspot.pt/2013/03/e...it-on-ubuntu-64.html), por isso será uma questão de tempo até estar mitigado.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes

Erro de Java OpenJDK 11 Jan. 2015 02:26 #8757

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5312
  • Obrigado recebido 735
nleal escreveu:
No meu Ubuntu 14.04 não tenho problemas de memória, mas não consigo abrir a v10, apesar de ter tentado com múltiplos libwebkitgtk (1.0 e 3.0), reinstalar o XULRunner, JRE 7 e 8, Oracle e Open... Curiosamente, com a v9 não tinha problemas...

No Ubuntu 14 NÃO pode ter o libwebkitgtk-1.0.0 instalado!

Deve abrir o gestor de pacotes e remover o pacote libwebkitgtk-1.0.0 e dependências DESTA VERSÃO: www.projectocolibri.com/forum/10-Sistema...talacao-em-ubuntu-14
Marco Lopes
Gestor de projecto
Análise e Programação
Última Edição: 11 Jan. 2015 02:27 por marcolopes.
O adminstrador desactivou a escrita pública.

Erro de Java OpenJDK 11 Jan. 2015 01:57 #8754

  • nleal
  • Avatar de nleal
  • Offline
  • Mensagens: 49
  • Obrigado recebido 12
No meu Ubuntu 14.04 não tenho problemas de memória, mas não consigo abrir a v10, apesar de ter tentado com múltiplos libwebkitgtk (1.0 e 3.0), reinstalar o XULRunner, JRE 7 e 8, Oracle e Open... Curiosamente, com a v9 não tinha problemas...

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f99692792a1, pid=7417, tid=140299769358080
#
# JRE version: Java(TM) SE Runtime Environment (8.0_25-b17) (build 1.8.0_25-b17)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (25.25-b02 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C [libsoup-2.4.so.1+0x6c2a1] soup_session_feature_detach+0x11
#
O adminstrador desactivou a escrita pública.
Moderadores: marcolopes
Desenvolvido por Kunena